package acoeur.webmiel.fakeurl;

import java.util.*;
import java.io.*;
import acoeur.webmiel.MielMail;

public class MielObjectInputStream extends ObjectInputStream
{
	private static MielMail startCL = new MielMail("3");
	private static ClassLoader cl = null;
	
	public MielObjectInputStream( InputStream is ) throws IOException
	{
		super(is);
		if ( cl == null )
			cl = startCL.getClass().getClassLoader();
        }

	protected Class resolveClass(ObjectStreamClass v)
		throws IOException, ClassNotFoundException
	{
		System.out.println("MOIS class = "+v.getName());
		Class found = null;
		try
		{
			found = cl.loadClass(v.getName());
		}
		catch ( NullPointerException e )
		{
			found = super.resolveClass(v);
		}
		return found;
	}
}
