import java.util.*;
import java.io.*;
import javax.servlet.*;
import acoeur.webmiel.MielMail;
import acoeur.webmiel.fakeurl.MielObjectInputStream;
import javax.servlet.http.*;

public class M2 extends HttpServlet
{
    public void doGet(HttpServletRequest req, HttpServletResponse res)
    throws ServletException, IOException {
	System.out.println("DOGET");
    }

    public void doPost(HttpServletRequest req, HttpServletResponse res)
    throws ServletException, IOException {
	String contentType = req.getContentType();
	System.out.println(contentType);
	
	int contentSize = req.getContentLength();
	System.out.println("length="+contentSize);

	String uri = req.getRequestURI();
	System.out.println("uri="+uri);
	
	Enumeration ee = req.getHeaderNames();
	while ( ee.hasMoreElements() )
	{
		String s = (String) ee.nextElement();
		System.out.println(s);
	}

        InputStream in = req.getInputStream();
	System.out.println("DOPOST in");
	
	try
	{
	    MielObjectInputStream mois = new MielObjectInputStream(in);
	    MielMail mm = (MielMail) mois.readObject();
	    System.out.println("DOPOST out");
	    res.setContentType("text/html");
	    PrintWriter out = res.getWriter();
	    out.print("<html><body>fini</body></html>");
	    out.close();
	}
	catch (Exception e)
	{
		e.printStackTrace(System.out);
	}
    }
}
